﻿@using LAP.DomainModels.Entities.Client
@model IEnumerable<EducationPlanning>
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Student's College Planning Fact Finder</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>        
        <form action="adviser/home/SaveCFSForm" method="post" id="cfs-student-frm" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteCFSSubmit">
            <div class="modal-body">
                @foreach (var item in Model)
                {
                    <button type="button" class="btn btn-light-primary btn-lg mr-3 mb-3 btn-cfs-student" data-guid="@item.Guid">
                        @if (!string.IsNullOrEmpty(item.CFSStudentId))
                        {
                            <i class="fas fa-check-circle"></i>
                        }
                        @item.StudentName
                    </button>
                }
                <div class="d-flex flex-row text-info font-italic font-size-lg mt-2">
                    <span class="font-weight-bold mr-2">Note:</span>
                    <span>Select from the list above to view a student's College Planning Fact Finder</span>
                </div>
                <div id="cfs-frm"></div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_cfs_student" disabled>
                    <i class="la la-save"></i> Save
                </button>
            </div>
        </form>
    </div>
</div>